<?php
/**
 * @package Planar
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>

</head>

<body <?php body_class(); ?> <?php planar_body_style(); ?>>

<div id="page" class="hfeed site">

<header id="masthead" class="site-header" role="banner">

<?php
	/**
	 * display top bar menu
	 * @hooked planar_top_menu
	 * @see template-tags.php
	 */
	do_action( 'before_header' );
?>

<div class="wrap-inner clearfix">

		<div class="site-branding">

			<?php planar_logo(); ?>

			<div id="header-title">
				<?php if ( 1 != get_theme_mod( 'planar_display_title' ) ) { ?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><strong><?php bloginfo( 'name' ); ?></strong></a>
				<?php } ?>
				<?php if ( 1 != get_theme_mod( 'planar_display_subtitle' ) ) { ?>
               					&nbsp;&nbsp;<?php bloginfo( 'description' ); ?>
				<?php } ?>
			</div><!--header-title-->

		</div><!--.site-branding-->

		<div class="site-menu">
			<a href="#" class="toggle-top"></a>
			<nav id="site-navigation" class="navigation-main" role="navigation">
				<?php if ( has_nav_menu('primary') ) { wp_nav_menu( array( 'theme_location' => 'primary', 'depth' => 3 ) ); } ?>
			</nav><!-- #site-navigation -->
		</div><!--site-menu-->

</div><!--wrap-inner-->

<?php
	global $bgimage;
	if( !empty( $bgimage ) ) { ?>
		<span class="overlay"></span>
<?php
	} ?>

</header><!-- #masthead -->

<div class="top-wrapper wrap-inner">

<?php
	/**
	 * display search form
	 * @hooked planar_hidden_headers
	 * @see template-tags.php
	 */
	do_action( 'hidden_headers' );
?>

</div><!--.top-wrapper-->

	<div id="main" class="site-main clearfix">